EDIT - feature request #7119

feature request # 7118 (Closed): migrate selection dialogs
implement filter button for selection dialogs
12/06/2017 01:51 PM - Katja Luther

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Katja Luther % Done: 70%
Category: taxeditor Estimated time: 0:00 hour
Target version: Release 4.12

Severity: normal

Description

analog to the filter in the old filterDialogs we need a button for this functionality

Related issues:
Related to EDIT - feature request #7142: Implement person and team filter for... New

Associated revisions

Revision e3252ce1 - 12/05/2017 02:10 PM - Katja Luther

apply the filter in selection dialog after selecting the filter

Revision f48bafae - 12/19/2017 03:16 PM - Katja Luther

ref #7119: filter dialog should not remember selection when clicking cancel

Revision 4afd70fc - 12/19/2017 03:42 PM - Katja Luther

ref #7119: with empty selection the filter dialog could not be closed

History

#1 - 12/06/2017 02:21 PM - Katja Luther
- Status changed from New to Resolved

- Assignee changed from Katja Luther to Andreas Mdiller

please review

#2 - 12/19/2017 01:01 PM - Andreas Miiller

- Related to feature request #7142: Implement person and team filter for agent search dialog added

#3 - 12/19/2017 01:27 PM - Andreas Miiller
- Status changed from Resolved to Feedback

- Assignee changed from Andreas Miiller to Katja Luther
The filter for areas does not yet correctly remember if "Country" is disabled. Next time when the filter is opened "Country" is again enabled.
#4 - 12/19/2017 01:29 PM - Andreas Miiller

If the search string is still empty, after setting the filter ALL areas are loaded. This is unexpected behavior and should happen only if "*" is written in
the search box.

#5 - 12/19/2017 01:31 PM - Andreas Miiller

Cancel does not yet work in filter dialog. It works like ok instead.

#6 - 12/19/2017 01:32 PM - Andreas Miiller

The filter dialog is still missing a title

#7 - 12/19/2017 01:32 PM - Andreas Miiller

03/20/2024 12




- % Done changed from 0 to 70

#8 - 12/19/2017 02:39 PM - Andreas Miiller

There is an issue if NO vocabulary is chosen in area search filter. See also https:/dev.e-taxonomy.eu/redmine/issues/7121#note-4

Maybe we should not allow to choose none and disable OK button in this case. However, the issue needs to be handled correctly in cdmlib, too.
#9 - 12/19/2017 03:17 PM - Katja Luther
Andreas Muller wrote:
If the search string is still empty, after setting the filter ALL areas are loaded. This is unexpected behavior and should happen only if "*" is written

in the search box.

this is fixed now.

#10 - 12/19/2017 03:17 PM - Katja Luther

Andreas Muller wrote:

The filter for areas does not yet correctly remember if "Country" is disabled. Next time when the filter is opened "Country" is again enabled.

| can't reproduce this problem.

#11 - 12/19/2017 03:18 PM - Katja Luther

Andreas Muller wrote:

Cancel does not yet work in filter dialog. It works like ok instead.

this is fixed

#12 - 12/19/2017 03:44 PM - Katja Luther

Andreas Muller wrote:

There is an issue if NO vocabulary is chosen in area search filter. See also https:/dev.e-taxonomy.eu/redmine/issues/7121#note-4

Maybe we should not allow to choose none and disable OK button in this case. However, the issue needs to be handled correctly in cdmlib, too.

this is fixed in the editor, needs to be handled in cdmlib

#13 - 05/16/2018 10:38 AM - Katja Luther
- Status changed from Feedback to Closed
